<ng-container *ngIf="(user$|async) as user else loading;">
  <ng-container *ngIf="user?.teams.length > 0 else noTeams">

    <!-- My open bookings row -->
    <h1 class="h3 mb-2 text-gray-800">Currently Open Bookings</h1>
    <div class="row" *ngIf="currentBookings.length > 0">
      <div class="col-xl-4 col-md-6 mb-4" *ngFor="let booking of currentBookings">
        <app-open-booking-card [booking]="booking" (checkoutClicked)="checkout($event)"></app-open-booking-card>
      </div>
    </div>
    <div class="row mb-2" *ngIf="currentBookings.length === 0">
      <div class="col d-flex justify-content-center">
        <div class="align-self-center text-center">
          <img src="../../../assets/img/undraw_my_current_location_om7g.svg" width="50%" style="max-height: 80px"
               alt="Currently no open bookings">
          <br>
          <p class="pt-1">You have no current bookings</p>
        </div>
      </div>
    </div>
    <!-- My open bookings row -->

    <!-- My favorite rooms row -->
    <h1 class="h3 mb-2 text-gray-800">Favorite Rooms</h1>
    <div class="row" *ngIf="user?.favoriteRooms.length > 0">
      <div class="col-xl-4 col-md-6 mb-4" *ngFor="let r of user.favoriteRooms">
        <app-room-card [room]="r"></app-room-card>
      </div>
    </div>
    <div class="row mb-2" *ngIf="user?.favoriteRooms.length === 0">
      <div class="col d-flex justify-content-center">
        <div class="align-self-center text-center">
          <img src="../../../assets/img/undraw_like_dislike_1dfj.svg" width="50%" style="max-height: 80px"
               alt="No rooms makred as favorite">
          <br>
          <p class="pt-1">You have no rooms pinned to your favorites</p>
        </div>
      </div>
    </div>
    <!-- / My favorite rooms row -->

    <div class="row">
      <div class="col-xl-8 col-lg-7">
        <!-- My Last Bookings Card -->
        <div class="card shadow mb-4">
          <!-- Card Header -->
          <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-primary">My Last Bookings</h6>
          </div>
          <!-- Card Body -->
          <div class="card-body" *ngIf="recentBookings?.results.length === 0">
            <div class="d-flex justify-content-center">
              <div class="align-self-center text-center">
                <img src="../../../assets/img/undraw_no_data_qbuo.svg" width="50%" style="max-height: 200px"
                     alt="No open bookings">
                <br>
                <br>
                <p><a [routerLink]="['/rooms']">Start a booking
                  <fa-icon [icon]="faArrowRight"></fa-icon>
                </a></p>
              </div>
            </div>
          </div>
          <ul class="list-group list-group-flush" *ngIf="recentBookings?.results.length > 0">
            <li class="list-group-item" *ngFor="let b of recentBookings.results">
              <div>
                <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">{{b.room.number}}
                  - {{b.room.floorName}} - {{b.room.building}}</div>
                <div class="d-flex flex-row align-items-center">
                  <div class="pr-3">
                    <div class="h5 font-weight-bold text-gray-800 mb-1">{{b.checkin|date:'HH:mm'}}</div>
                    <div class="text-xs text-gray-600 mb-1">{{b.checkin|date:'shortDate'}}</div>
                  </div>
                  <div class="pr-3">
                    <fa-icon [icon]="faArrowRight"></fa-icon>
                  </div>
                  <div>
                    <div class="h5 font-weight-bold text-gray-800 mb-1">{{b.checkout|date:'HH:mm'}}</div>
                    <div class="text-xs text-gray-600 mb-1">{{b.checkout|date:'shortDate'}}</div>
                  </div>
                </div>
              </div>
            </li>
            <li class="list-group-item" *ngIf="recentBookings?.results.length > 0">
              <a [routerLink]="['/rooms']" class="fa-pull-right">Book another room
                <fa-icon [icon]="faArrowRight"></fa-icon>
              </a>
            </li>
          </ul>
        </div>
      </div>

      <!-- Pie Chart -->
      <div class="col-xl-4 col-lg-5">
        <div class="card shadow mb-4">
          <!-- Card Header -->
          <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-primary">My Teams</h6>
          </div>

          <ul class="list-group list-group-flush">
            <li class="list-group-item" *ngFor="let team of user?.teams">
              <app-team-card [team]="team"></app-team-card>
            </li>
          </ul>
        </div>
      </div>
    </div>

  </ng-container>
</ng-container>

<ng-template #noTeams>
  <div class="card-body">
    <div class="d-flex justify-content-center">
      <div class="align-self-center text-center">
        <img src="../../../assets/img/undraw_shared_goals_3d12.svg" style="max-height: 200px; width: 80%"
             alt="Not member of any team">
        <br>
        <br>
        <p class="lead">You are not a member of any team yet. Ask someone to invite you! All members of a team can
          generate invitation codes for others.</p>
      </div>
    </div>
  </div>
</ng-template>

<ng-template #loading>
  <div class="col d-flex p-2 justify-content-center align-items-end" style="height: 200px">
    <fa-icon class="text-gray-300" [icon]="faCircleNotch" size="3x" spin="true"></fa-icon>
  </div>
</ng-template>
